MultipartStream.IllegalBoundaryException (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.fileupload.MultipartStream.IllegalBoundaryException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Class MultipartStream.IllegalBoundaryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.tomcat.util.http.fileupload.MultipartStream.IllegalBoundaryException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MultipartStream

    public class MultipartStream.IllegalBoundaryException

extends java.io.IOException

Thrown upon attempt of setting an invalid boundary token.

See Also:
  Serialized Form

Constructor Summary
`MultipartStream.IllegalBoundaryException()` Constructs an `IllegalBoundaryException` with no detail message.
`MultipartStream.IllegalBoundaryException(java.lang.String message)` Constructs an `IllegalBoundaryException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultipartStream.IllegalBoundaryException

    public MultipartStream.IllegalBoundaryException()

  Constructs an `IllegalBoundaryException` with no detail message.

### MultipartStream.IllegalBoundaryException

    public MultipartStream.IllegalBoundaryException(java.lang.String message)

  Constructs an `IllegalBoundaryException` with the specified detail message.

  Parameters:
    `message` - The detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.